ldaputils.h File Reference

Header for LDAP-Connect Authentication module. More...

`#include <glib.h>`

Go to the source code of this file.

## Data Structures

struct | ldap_auth_info
| Schema (dn) and info to use for a basic ldap authentication. More...

## Typedefs

typedef struct ldap_auth_info * | ldap_auth_info_t
| Authentication schema and address type.

## Functions

int | ldap_enable_debug (void)
| Dummy function for enabling LDAP debugging for manager.
int | ldap_connect_authenticate (const gchar *, const gchar *, void *, const gchar *)
| Dummy function for Manager.
void | ldap_auth_info_free (ldap_auth_info_t)
| Dummy function for Manager.
ldap_auth_info_t | ldap_auth_info_new (const gchar *, const gchar *, gboolean)
| Dummy function for manager.
ldap_auth_info_t | ldap_auth_info_new_2 (const gchar *, const gchar *, gboolean, gboolean)
| Dummy function for manager.

## Detailed Description

Header for LDAP-Connect Authentication module.

## Typedef Documentation

## ldap_auth_info_t

typedef struct ldap_auth_info* ldap_auth_info_t

Authentication schema and address type.

## Function Documentation

## ldap_auth_info_free()

void ldap_auth_info_free | ( | ldap_auth_info_t | info | ) |

Dummy function for Manager.

Parameters

  info | ldap_auth_schema_t to free, can be NULL.

## ldap_auth_info_new()

ldap_auth_info_t ldap_auth_info_new | ( | const gchar * | ldap_host,
|  | const gchar * | auth_dn,
|  | gboolean | allow_plaintext )

Dummy function for manager.

Parameters

  ldap_host | Host to authenticate against. Might not be NULL, but empty.
  auth_dn | DN where the actual user name is to be inserted at "%s", e.g. uid=s,cn=users. Might not be NULL, but empty, has to contain a single s.
  allow_plaintext | If FALSE, require StartTLS initialization to succeed.

Returns
  NULL.

## ldap_auth_info_new_2()

ldap_auth_info_t ldap_auth_info_new_2 | ( | const gchar * | ldap_host,
|  | const gchar * | auth_dn,
|  | gboolean | allow_plaintext,
|  | gboolean | ldaps_only )

Dummy function for manager.

Parameters

  ldap_host | Host to authenticate against. Might not be NULL, but empty.
  auth_dn | DN where the actual user name is to be inserted at "%s", e.g. uid=s,cn=users. Might not be NULL, but empty, has to contain a single s.
  allow_plaintext | If FALSE, require StartTLS initialization to succeed.
  ldaps_only | Whether to try LDAPS only.

Returns
  NULL.

## ldap_connect_authenticate()

int ldap_connect_authenticate | ( | const gchar * | username,
|  | const gchar * | password,
|  | void * | ldap_auth_info,
|  | const gchar * | cacert )

Dummy function for Manager.

Parameters

  ldap_auth_info | Schema and address to use.
  username | Username to authenticate.
  password | Password to use.
  cacert | CA Certificate for LDAP_OPT_X_TLS_CACERTFILE, or NULL.

Returns
  -1.

## ldap_enable_debug()

int ldap_enable_debug | ( | void |  | ) |

Dummy function for enabling LDAP debugging for manager.

Returns
  Always -1 for failure.